nxt

## Class Currency

- java.lang.Object
- - nxt.Currency

-     public final class Currency
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Currency.Event`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addListener(Listener<Currency> listener, Currency.Event eventType)`
    `boolean` | `canBeDeletedBy(long senderAccountId)`
    `long` | `getAccountId()`
    `DbIterator<Account.AccountCurrency>` | `getAccounts(int from, int to)`
    `DbIterator<Account.AccountCurrency>` | `getAccounts(int height, int from, int to)`
    `byte` | `getAlgorithm()`
    `static DbIterator<Currency>` | `getAllCurrencies(int from, int to)`
    `java.lang.String` | `getCode()`
    `static int` | `getCount()`
    `int` | `getCreationHeight()`
    `static Currency` | `getCurrency(long id)`
    `static Currency` | `getCurrencyByCode(java.lang.String code)`
    `static Currency` | `getCurrencyByName(java.lang.String name)`
    `static DbIterator<Currency>` | `getCurrencyIssuedBy(long accountId, int from, int to)`
    `long` | `getCurrentReservePerUnitNQT()`
    `long` | `getCurrentSupply()`
    `byte` | `getDecimals()`
    `java.lang.String` | `getDescription()`
    `DbIterator<Exchange>` | `getExchanges(int from, int to)`
    `long` | `getId()`
    `long` | `getInitialSupply()`
    `int` | `getIssuanceHeight()`
    `int` | `getMaxDifficulty()`
    `long` | `getMaxSupply()`
    `int` | `getMinDifficulty()`
    `long` | `getMinReservePerUnitNQT()`
    `java.lang.String` | `getName()`
    `long` | `getReserveSupply()`
    `byte` | `getRuleset()`
    `DbIterator<CurrencyTransfer>` | `getTransfers(int from, int to)`
    `int` | `getType()`
    `boolean` | `is(CurrencyType type)`
    `boolean` | `isActive()`
    `static boolean` | `removeListener(Listener<Currency> listener, Currency.Event eventType)`
    `static DbIterator<Currency>` | `searchCurrencies(java.lang.String query, int from, int to)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addListener

          public static boolean addListener(Listener<Currency> listener,
                                            Currency.Event eventType)

    - #### removeListener

          public static boolean removeListener(Listener<Currency> listener,
                                               Currency.Event eventType)

    - #### getAllCurrencies

          public static DbIterator<Currency> getAllCurrencies(int from,
                                                              int to)

    - #### getCount

          public static int getCount()

    - #### getCurrency

          public static Currency getCurrency(long id)

    - #### getCurrencyByName

          public static Currency getCurrencyByName(java.lang.String name)

    - #### getCurrencyByCode

          public static Currency getCurrencyByCode(java.lang.String code)

    - #### getCurrencyIssuedBy

          public static DbIterator<Currency> getCurrencyIssuedBy(long accountId,
                                                                 int from,
                                                                 int to)

    - #### searchCurrencies

          public static DbIterator<Currency> searchCurrencies(java.lang.String query,
                                                              int from,
                                                              int to)

    - #### getId

          public long getId()

    - #### getAccountId

          public long getAccountId()

    - #### getName

          public java.lang.String getName()

    - #### getCode

          public java.lang.String getCode()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getType

          public int getType()

    - #### getInitialSupply

          public long getInitialSupply()

    - #### getCurrentSupply

          public long getCurrentSupply()

    - #### getReserveSupply

          public long getReserveSupply()

    - #### getMaxSupply

          public long getMaxSupply()

    - #### getCreationHeight

          public int getCreationHeight()

    - #### getIssuanceHeight

          public int getIssuanceHeight()

    - #### getMinReservePerUnitNQT

          public long getMinReservePerUnitNQT()

    - #### getMinDifficulty

          public int getMinDifficulty()

    - #### getMaxDifficulty

          public int getMaxDifficulty()

    - #### getRuleset

          public byte getRuleset()

    - #### getAlgorithm

          public byte getAlgorithm()

    - #### getDecimals

          public byte getDecimals()

    - #### getCurrentReservePerUnitNQT

          public long getCurrentReservePerUnitNQT()

    - #### isActive

          public boolean isActive()

    - #### getAccounts

          public DbIterator<Account.AccountCurrency> getAccounts(int from,
                                                                 int to)

    - #### getAccounts

          public DbIterator<Account.AccountCurrency> getAccounts(int height,
                                                                 int from,
                                                                 int to)

    - #### getExchanges

          public DbIterator<Exchange> getExchanges(int from,
                                                   int to)

    - #### getTransfers

          public DbIterator<CurrencyTransfer> getTransfers(int from,
                                                           int to)

    - #### is

          public boolean is(CurrencyType type)

    - #### canBeDeletedBy

          public boolean canBeDeletedBy(long senderAccountId)